# chemin user
USER   = $(HOME)

# Chemin outils
RACINE = $(USER)/Outils

# Chemins d'acces a Nisp
NISP = $(RACINE)/NispV2
LIB_NISP = $(NISP)/lib
INC_NISP = $(NISP)/include

LDFLAGS=-Wall -ansi -L $(NISP)/lib

CPP		= g++
CXXFLAGS	= -I $(INC_NISP)

SRC = $(wildcard *.C)
OBJ = $(SRC:.C=.o)

all : nisp clean

nisp :	$(OBJ)
	$(CPP) $(OBJ) \
	-lnispv2 -lm -o nisp $(LDFLAGS)
	rm -f $(OBJ)

clean : 
	rm -f $(OBJ)
	rm -f *~

%.o: %.C
	$(CPP) -o $@ -c $< $(CXXFLAGS)
